Subject: [PATCH v10 0/8] ARM: berlin: add AHCI support

From: [email-masked] (Sebastian Hesselbarth)
Date: Sat, 19 Jul 2014 11:03:39 +0200

On 07/18/2014 03:57 PM, Tejun Heo wrote:
> On Fri, Jul 18, 2014 at 02:29:59PM +0200, Antoine T?nart wrote:
>> In both cases we do not have time to do this for the next release, as
>> the request popped up quite late.
>>
>> So as of now:
>>   - Either the series is merged as is and changes to the AHCI framework
>>     can be made for 3.18, as it's not particularly linked to this
>>     series.
>>   - Or you really do not want it. Then that would be great if patches
>>     1-2 and 7-8 could be merged so that we do not end up with this big
>>     series going for yet another cycle... I think Kishon already took
>>     patches 1-2.
> 
> I don't wanna take in code which isn't in the shape that it should be.
> Things like this accumulate to become a large maintenance burden over
> time.  Sure, urgent things can slip in and then later be fixed up but
> who are gonna do that here?  You guys already seem to be under time
> pressure as it is.
> 
> If you guys can figure something out with Hans regarding how to
> proceed on this, I'll be happy take the code as is.

I cannot say much about AHCI, but if the PHY driver is fine I can
take the DT patches adding it to BG2Q and BG2Q-DMP at any time.

Sebastian